Create Appointment

Add a new appointment for a specific practitioner and location

This endpoint uses the $book operation, which functions differently from other standard POST endpoints. This is because creating an appointment automatically involves multiple other actions, such as creating an invoice, clinical note and reminder.

The request structure for the $book operation requires the appointment properties to be created as separate entries under the parameter property.


Use our recipe

As an example, refer to our to view how to structure a request for this endpoint.


Request schema

Parameter NameDescription / Contents
appt-resource

The general details for the appointment

start date-time

The appointment start date and time

end date-time

The appointment end date and time

minutesDuration integer

The duration of the appointment in minutes

resourceType enum

Set to Appointment

participant > actor Reference(PractitionerRole)

The practitioner and location this appointment this appointment is booked for

{
  "name": "appt-resource",
  "resource": {
    "start": "2025-10-15T15:00:00+10:00",
    "end": "2025-10-15T16:00:00+10:00",
    "minutesDuration": 60,
    "resourceType": "Appointment",
    "participant": [
      {
        "actor": {
          "reference": "https://au-api.halaxy.com/main/PractitionerRole/PR-1234567",
          "type": "PractitionerRole"
        }
      }
    ]
  }
}
appt-id (optional)

An existing appointment to book this patient, such as for group appointments

Note: If adding to a group appointment, use this parameter instead of appt-resource.

See also: Appointment

{
  "name": "appt-id",
  "valueReference": {
    "reference": "https://au-api.halaxy.com/main/Appointment/123456789",
    "type": "Appointment"
  }
}
patient-id

The patient this appointment is booked for

See also: Patient

{
  "name": "patient-id",
  "valueReference": {
    "reference": "https://au-api.halaxy.com/main/Patient/12345678",
    "type": "Patient"
  }
}
healthcare-service-id

The appointment type used for this appointment

See also: HealthcareService

{
  "name": "healthcare-service-id",
  "valueReference": {
    "reference": "https://au-api.halaxy.com/main/HealthcareService/33",
    "type": "HealthcareService"
  }
}
location-typeThe method used for this appointment (e.g. clinic telehealth phone phone organization
{
  "name": "location-type",
  "valueCode": "clinic"
}
statusThe appointment status (e.g. booked confirmed pending)
{
  "name": "status",
  "valueCode": "booked"
}
charge-item-definition-id

The fee booked for this appointment

See also: ChargeItemDefinition

{
  "name": "charge-item-definition-id",
  "valueReference": {
    "reference": "https://au-api.halaxy.com/main/ChargeItemDefintion/123456",
    "type": "ChargeItemDefintion"
  }
}

Parameters

Body Params

The new Appointment resource

string
enum
Allowed:
parameter
array of objects
parameter
Headers
string
enum
Defaults to application/fhir+json

Generated from available response content types

Allowed:
string
enum
Defaults to application/fhir+json

Generated from available request content types

Allowed:
Responses

400

Invalid input

403

Forbidden

422

Unprocessable entity

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/fhir+json
application/json